# Self Data Grandlyon Documentation

## Commands

* `py -m pip install mkdocs` - Install mkdocs
* `mkdocs serve` - Start the live-reloading docs server.
* `mkdocs build` - Build the documentation site.
* `mkdocs help` - Print this help message.

## Mkdocs packages

    py -m pip install mkdocs-material
    py -m pip install plantuml-markdown

## Setting files hierarchy
    inside mkdocs.yml use the key nav: to configure the md files hierarchy

    nav:
    - Home: index.md
    - Pilote:
        - Introduction: pilote/index.md
    - Ecolyo:
        - Introduction: ecolyo/index.md
        - Getting started:
          - Setup your environment: ecolyo/getting_started/setup_your_environment.md
          - Launch the application on local: ecolyo/getting_started/launch_local_application.md
          - Launch a konnector on local: ecolyo/getting_started/launch_local_konnector.md
        - Project Architecture:
          - Architecture: ecolyo/project_architecture/architecture.md
          - Cozy: ecolyo/project_architecture/cozy.md
          - Environments: ecolyo/project_architecture/environments.md
          - DocTypes: ecolyo/project_architecture/doctypes.md
        - Application:
          - Description: ecolyo/application/description.md
          - Scaffolding: ecolyo/application/scaffolding.md
          - Services: ecolyo/application/services.md
          - Gitflow: ecolyo/application/gitflow.md
          - Deploy: ecolyo/application/deploy.md
        - Konnectors:
          - Enedis: ecolyo/konnectors/enedis.md
          - GRDF: ecolyo/konnectors/grdf.md
          - Eau du Grand Lyon: ecolyo/konnectors/egl.md
    - Proxy:
      - Description: proxy/description.md
      - Use cases:
      - Enedis: proxy/use_cases/enedis.md
      - Grdf Adict: proxy/use_cases/grdfadict.md


## Project layout

    mkdocs.yml    # The main file and configuration file.
    docs/
        index.md  # The documentation homepage.
        ...       # Other markdown pages, images and other files.
