# Consumption

Ecolyo allow user to see its consumption in two way:

- with an aggregated view aka HomeView
- with a specific view for a fluid aka SingleFluidView

All consumption information are retrieve and calculated by services from the application.

## HomeView

### Description

This view is the main view of the application. It displays an agreggation view of all connected fluids

### Rules

1. If no fluids are connected, this view will display the konnectors card which allow user to connect its first fluids. These card are the same as the cards in option screen.
2. Fluid are displayed in multi fluid color and in euro
3. The comparison functionnality is not available for this view
4. TimeStep available are the folowing: week, month, year and 5 years

### Modal old fluid data

In order to warn a user that its data is too old regarding a fluid, a modal is displayed when the last date of a fluid is greater than 5 days. The modal is displayed only once a day and once the user saw it, we store a boolean to true in the userProfile's property `haveSeenOldFluidModal`.

Depending of the konnector status the user will receive 2 differents messages:

- if the konnector is in error, the user will be invited to check the konnector
- if the konnector has run successfully but hasn't retrieved data from the last 5 days, the user will be invited to contact the supplier

## SingleFluidView

### Description

This view displays the consumption of a specified fluid (electricity, water, gas).

### Rules

1. Fluid is displayed in the given fluid color and unit (kWh for electricity and gaz, l for water)
2. The comparison functionnality is present for following time step: day, week, month, year
3. TimeStep day is only available for electricity fluid
4. If user has selected day time step and change the fluid, the week time step will be selected by default.

## Comparison

The user can compare its data with a previous period using a switch which will display the previous period on the same chart.
This feature is only available on single fluid charts and is not available at the year time step

## Time step

Different time steps can be selected by the user which will display different period on the graph according to the time step.

- Day: display data at half-an-hour step on a period of one day
- Week: display data at daily step on a period of a week
- Month: display data at daily step on a period of a month
- Year: display data at monthly step on a period of a year
- 5 years: display data at yearly step on a period of 5 years (5 last years)

## Data Interval

For each fluid, we have an upcoming data interval depending on the energy provider API's.

For Enedis, the interval is **1 day**
For GRDF, the interval is **2 days**
For EGL, the interval is **3 days**

## DataLoad Consumption Visualizer

### Description

This view displays the load of a specified fluid (electricity, water, gas) or the total consumption on the multifluid screen.
It also allows to navigate between the singlefluid views.

### Rules

1. The Load is displayed in the given fluid color and unit (kWh for electricity and gaz, l for water)
2. For the dataloads > 1000, it will display a mega unit (MWh for electricity and gaz, m3 for water)
3. If it's multifluid view, we show the total consumption in €
4. If we are in the upcoming data interval for the given fluid, we display "Upcoming Data"
5. If we not in this interval anymore, we display the date of the last valid data.
6. If there is no data at all for the given fluid, we display "No data"
